//
// let userAge = +prompt();
//
// if (userAge < 18) {
//     alert('А родители разрешили?');
// } else if (userAge < 100) {
//     alert("Добро пожаловать!");
// } else {
//     alert("А вам точно больше 100 лет???");
// }


// let randomNumber = Math.floor(Math.random() * 6) + 1;
// let answer = +prompt("Угадайте число");
// if (randomNumber === answer){
//     console.log("Число правильное");
// } else if (randomNumber < answer){
//     console.log("Загаданное число меньше");
// }else {
//     console.log("Загаданное число больше");
// }
// console.log(randomNumber);


/**
 * Задание 2.
 *
 * Написать программу, которая будет приветствовать пользователя.
 * Сперва пользователь вводит своё имя, после чего программа выводит в консоль сообщение с учётом его должности.
 *
 * Список должностей:
 * Mike — CEO;
 * Jane — CTO;
 * Walter — программист:
 * Oliver — менеджер;
 * John — уборщик.
 *
 * Если введёно не известное программе имя — вывести в консоль сообщение «Пользователь не найден.».
 *
 * Выполнить задачу в двух вариантах:
 * - используя конструкцию if/else if/else;
 * - используя конструкцию switch.
 */
//
// ******************************  CASE  ************************
//
// const UserName = prompt("Введите имя пользователя");
// switch (UserName){
//     case 'mike':
//         pos ='CEO';
//         console.log(`Привет ${UserName} - ${pos}`);
//         break;
//
//     case 'jane':
//         pos = `CTO`;
//         console.log(`Привет ${UserName} - ${pos}`);
//         break;
//
//     case 'walter':
//         pos =`программист`;
//         console.log(`Привет ${UserName} - ${pos}`);
//         break;
//
//     case 'olive':
//         pos =`менеджер`;
//         console.log(`Привет ${UserName} - ${pos}`);
//         break;
//     case 'john':
//         pos ='уборщик';
//         console.log(`Привет ${UserName} - ${pos}`);
//         break;
//     default:
//         pos ='Пользователь не найден'
//
//         console.log(`Привет ${UserName} - ${pos}`);
//
// }

// ******************************  IF *************************

// const userName = prompt('Enter your Name');
// if (userName === 'Mike'){
//     console.log("Hello, CEO," + userName);
// }
// else if (userName === 'Jane'){
//     console.log("Hello, CTO," + userName);
// }
// else if (userName === 'Walter'){
//     console.log("Hello, программист," + userName);
// }
// else if (userName === 'Oliver'){
//     console.log("Hello, менеджер," + userName);
// }
//
// else if (userName === 'John'){
//     console.log("Hello, уборщик," + userName);
// }
//
// else {
//     console.log("User Unknown")
// }


/**
 * Задание 1.
 *
 * Пользователь вводит в модальное окно любое число.
 *
 * В консоль вывести сообщение:
 * - Если число чётное, вывести в консоль сообщение «Ваше число чётное.»;
 * - Если число не чётное, вывести в консоль сообщение «Ваше число не чётное.»;
 * - Если пользователь ввёл не число, вывести новое модальное окно с сообщением «Необходимо ввести число!».
 * - Если пользователь во второй раз ввёл не число, вывести сообщение: «⛔️ Ошибка! Вы ввели не число.».
 */

//
// let number = +prompt("Введите число");
// if (number % 2 === 0) {
//     console.log("Число чётное");
//     } else if (Number % 2 === 1) {
//         console.log(`Число нечётное`)
//     }
//
// else {
//     number = +prompt("Необходимо ввести число");
//     if(isNaN(number)){
//         console.log('Ошибка! Вы ввели не число');
//     }
// }






// *************  как работает for ***************
//
// for (let i = 1; i <=10; i++){
//     console.log(i);
// }




// *******************   как работает while ************
//
// let i = 0;
// while (i <=3){
//     i++;
//
//     if (i === 2){
//         break;
//     }
//     console.log(i);
// }



/**
 * Задание 1.
 *
 * С помощью цикла вывести в консоль первые все нечётные числа,
 * которые находятся в диапазоне от 0 до 300.
 *
 * Заметка:
 * Чётное число — это число, которое делится на два.
 * Нечётное число — это число, которое не делится на два.
 *
 * Продвинутая сложность:
 * Не выводить в консоль числа, которые делятся на 5.
 */
// /////////////////////////////////////
//     for (let i = 0; i<=300; i++){
//         if (i % 2 !==0){
//             if (i % 5 !==0){
//                 console.log(i)
//             }
//         }
//     }
// ////////////////////////////////
//     или можно еще так решить задачу и будет проще
//
//     for (let i = 0; i<=300; i++){
//         if (i % 2 ===0 || i % 5 !==0){
//                 continue;
//             }console.log(i)
//         }
// //////////////////////


/**
 * Задание 2.
 *
 * Пользователь должен ввести два числа.
 * Если введённое значение не является числом,
 * программа продолжает опрашивать пользователя до тех пор,
 * пока он не введёт число.
 *
 * Когда пользователь введёт два числа, вывести в консоль сообщение:
 * «Поздравляем. Введённые вами числа: «ПЕРВОЕ_ЧИСЛО» и «ВТОРОЕ_ЧИСЛО».».
 */

// Вариант №1

// let first
// let second
// do {
//     first = +prompt("Enter the first number");
//     second = +prompt("Enter the second number");
// }
// while (isNaN(first) || isNaN(second) )
// alert(`Поздравляем. Введённые вами числа: «ПЕРВОЕ_ЧИСЛО» и «ВТОРОЕ_ЧИСЛО»`)


// // вариант 2-й
//
//     let first
//     let second
//     do {
//     first = +prompt("Enter the first number");}
//     while (isNaN(first));
//
//
//     do {
//         second = +prompt("Enter the second number");}
//     while (isNaN(first));
//
//     alert(`Поздравляем! Введенные Вами числа : ${first} и ${second}`)



/**
 * Задание 3.
 *
 * Написать программу, которая будет опрашивать и приветствовать пользователя.
 *
 * Программа должна узнать у пользователя его:
 * - Имя;
 * - Фамилию;
 * - Год рождения.
 *
 * Если пользователь вводит некорректные данные,
 * программа должна повторно опрашивать его до тех пор,
 * пока данные не будут введены корректно.
 *
 * Данные считается введёнными некорректно, если:
 * - Пользователь не вводит в поле никаких данных;
 * - Год рождения, введённый пользователем меньше, чем 1910 или больше, чем текущий год.
 *
 * Когда пользователь введёт все необходимые данные корректно,
 * вывести в консоль сообщение:
 * «Добро пожаловать, родившийся в ГОД_РОЖДЕНИЯ, ИМЯ ФАМИЛИЯ.».
 */




// let userName;
// let userSurname;
// let birthDate;
//
//     do{
//         userName = prompt("Enter your name");
//     } while (userName === "" || userName === null);
//
//     do{
//         userSurname = prompt("Enter your surname");
//     } while (userSurname === "" || userName === null);
//
//     do{
//         birthDate = +prompt("Enter your birthday");
//     } while (isNaN(birthDate) || birthDate === 0 || birthDate < 1920 || birthDate > 2021);
//
// console.log(`Добро пожаловать родившийся в ${birthDate}, ${userName} ${userSurname}`)



/**
 * Задание 4.
 *
 * Написать программу-помощник преподавателя.
 *
 * Будем использовать американскую систему оценивания знаний.
 * Эта система работает на баллах и оценках в виде букв.
 * Расшифровывается следующим образом:
 *
 * Баллы  | Оценка |
 * 95-100 | A      |
 * 90-94  | A-     |
 * 85-89  | B+     |
 * 80-84  | B      |
 * 75-79  | B-     |
 * 70-74  | C+     |
 * 65-69  | C      |
 * 60-64  | C-     |
 * 55-59  | D+     |
 * 50-54  | D      |
 * 25-49  | E      |
 * 0-24   | F      |
 * -----------------
 *
 * Программа должна спрашивать имя и фамилию студента, а также количество баллов, которое на набрал.
 *
 * Программа должна повторно запрашивать данные, если были некорректно введены:
 * - Имя студента (строка, состоящая минимум из двух слов);
 * - Количество баллов, которое набрал студент (число от 0 до 100).
 *
 * Если все данные данные введены верно, программа конвертирует
 * числовое количество баллов в буквенную оценку и выводит сообщение в консоль:
 * «К студенту ИМЯ_СТУДЕНТА прикреплена оценка «ОЦЕНКА».».
 *
 * После выведения этого сообщения программа должна спросить,
 * есть-ли необходимость сконвертировать оценку для ещё одного студента,
 * и должна начинать свою работу сначала до тех пор, пока пользователь не ответит «Нет.».
 *
 * Когда пользователь откажется продолжать работу программы, программа выводит сообщение:
 * «✅ Работа завершена.».
 */



// let fullname = null;
// let mark = null;
// let markLetter = null;
// let oneMore = null;
// do {
//     do {
//         fullname = prompt("Введите имя_фамилию")}
//     while(fullname === null || fullname.split(' ').length < 2);
//
//     do {
//         mark = +prompt("Введите балы")
//     } while (isNaN(mark) || mark < 0 || mark > 100);
//
//     if (mark < 25){
//         markLetter = 'F';
//     } else if (mark < 50) {
//         markLetter = 'E';
//     } else if (mark < 55){
//         markLetter = 'D';
//     } else if (mark < 60){
//         markLetter = 'D+';
//     } else if (mark < 65){
//         markLetter = 'C-';
//     } else if (mark < 70){
//         markLetter = 'C';
//     } else if (mark < 75){
//         markLetter = 'C+'
//     } else if (mark < 80){
//         markLetter = 'B-'
//     } else if (mark < 85){
//         markLetter = 'B'
//     } else if (mark < 90){
//         markLetter = 'B+'
//     } else if (mark < 95){
//         markLetter = 'A-'
//     } else{
//         markLetter = 'A'
//     }
//
//
//     console.log(`К студенту ${fullname} прикреплена оценка ${markLetter}`);
//     oneMore = prompt('Есть-ли необходимость сконвертировать оценку для ещё одного студента?').toLowerCase();
// } while (oneMore === 'да');
//
// console.log('✅ Работа завершена.');
//















